## org.apache.lucene.search
Class FieldCache.Bytes

    java.lang.Object
      org.apache.lucene.search.FieldCache.Bytes

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.Bytes

extends Object

Field values as 8-bit signed bytes

Field Summary
`static FieldCache.Bytes` `EMPTY` Zero value for every document

Constructor Summary
`FieldCache.Bytes()`

Method Summary
`abstract byte` `get(int docID)` Return a single Byte representation of this field's value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final FieldCache.Bytes EMPTY

  Zero value for every document

Constructor Detail

### FieldCache.Bytes

    public FieldCache.Bytes()

Method Detail

### get

    public abstract byte get(int docID)

  Return a single Byte representation of this field's value.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.